Package com.explodingpixels.macwidgets

## Class WidgetStandardColorScheme

- java.lang.Object
- - com.explodingpixels.macwidgets.WidgetStandardColorScheme

All Implemented Interfaces:
  `WidgetColorScheme`

    public class WidgetStandardColorScheme
    extends java.lang.Object
    implements WidgetColorScheme

A `WidgetColorScheme` that provides `Painter`s and colors

### Field Summary

Fields
`static javax.swing.Icon` `UNSELECTED_COLLAPSED_ICON`

### Constructor Summary

Constructors
`WidgetStandardColorScheme()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.awt.Color` `getActiveBackgroundColor()` The background color of the widget when it is in an active window.
`java.awt.Color` `getActiveFocusedSelectedItemBackgroundColor()`
`MacWidgetsPainter<java.awt.Component>` `getActiveFocusedSelectedItemPainter()` The `Painter` to use for drawing the widget selection when the widget is in the active window and has focus.
`java.awt.Color` `getActiveUnfocusedSelectedItemBackgroundColor()`
`MacWidgetsPainter<java.awt.Component>` `getActiveUnfocusedSelectedItemPainter()` The `Painter` to use for drawing the widget selection when the widget is in the active window and does not have focus.
`java.awt.Color` `getActiveUnselectedBadgeColor()` The color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an active window.
`java.awt.Color` `getBadgeTextColor()` The color to draw a badge's text with.
`java.awt.Color` `getCategoryTextColor()` The color to draw a widget category with.
`java.awt.Color` `getCategoryTextShadowColor()` The color to draw a widget category's shadow with.
`java.awt.Color` `getInactiveBackgroundColor()` The background color of the widget when it is in an inactive window.
`java.awt.Color` `getInactiveSelectedItemBackgroundColor()`
`MacWidgetsPainter<java.awt.Component>` `getInactiveSelectedItemPainter()` The `Painter` to use for drawing the `SourceList` selection when the widget is in an inactive window.
`java.awt.Color` `getInativeUnselectedBadgeColor()` The color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an inactive window.
`java.awt.Color` `getSelectedBadgeColor()` The color to draw a badge's background with when it's corresponding widget item is selected.
`javax.swing.Icon` `getSelectedCollapsedIcon()` The icon to use when a widget node is collapsed and selected.
`javax.swing.Icon` `getSelectedExpandedIcon()` The icon to use when a widget node is expanded and selected.
`java.awt.Color` `getSelectedItemFontShadowColor()` The color to draw a selected widget item's shadow with.
`java.awt.Color` `getSelectedItemTextColor()` The color to draw a selected widget item with.
`javax.swing.Icon` `getUnselectedCollapsedIcon()` The icon to use when a widget node is collapsed and unselected.
`javax.swing.Icon` `getUnselectedExpandedIcon()` The icon to use when a widget node is expanded and unselected.
`java.awt.Color` `getUnselectedItemTextColor()` The color to draw an unselected widget item with.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNSELECTED_COLLAPSED_ICON

    public static final javax.swing.Icon UNSELECTED_COLLAPSED_ICON

### Constructor Detail

#### WidgetStandardColorScheme

    public WidgetStandardColorScheme()

### Method Detail

#### getActiveFocusedSelectedItemPainter

    public MacWidgetsPainter<java.awt.Component> getActiveFocusedSelectedItemPainter()

Description copied from interface: `WidgetColorScheme`
The `Painter` to use for drawing the widget selection when the widget is in the active window and has focus.

Specified by:
  `getActiveFocusedSelectedItemPainter` in interface `WidgetColorScheme`
Returns:
  the `Painter` to use for painting the selection in an active window where the widget has focus.

#### getActiveUnfocusedSelectedItemPainter

    public MacWidgetsPainter<java.awt.Component> getActiveUnfocusedSelectedItemPainter()

Description copied from interface: `WidgetColorScheme`
The `Painter` to use for drawing the widget selection when the widget is in the active window and does not have focus.

Specified by:
  `getActiveUnfocusedSelectedItemPainter` in interface `WidgetColorScheme`
Returns:
  the `Painter` to use for painting the selection in an active window where the widget does not have focus.

#### getInactiveSelectedItemPainter

    public MacWidgetsPainter<java.awt.Component> getInactiveSelectedItemPainter()

Description copied from interface: `WidgetColorScheme`
The `Painter` to use for drawing the `SourceList` selection when the widget is in an inactive window.

Specified by:
  `getInactiveSelectedItemPainter` in interface `WidgetColorScheme`
Returns:
  the `Painter` to use for painting the selection in an inactive window.

#### getCategoryTextColor

    public java.awt.Color getCategoryTextColor()

Description copied from interface: `WidgetColorScheme`
The color to draw a widget category with.

Specified by:
  `getCategoryTextColor` in interface `WidgetColorScheme`
Returns:
  the color to draw a widget category text with.

#### getCategoryTextShadowColor

    public java.awt.Color getCategoryTextShadowColor()

Description copied from interface: `WidgetColorScheme`
The color to draw a widget category's shadow with.

Specified by:
  `getCategoryTextShadowColor` in interface `WidgetColorScheme`
Returns:
  the color to draw a widget category text's shadow with.

#### getUnselectedItemTextColor

    public java.awt.Color getUnselectedItemTextColor()

Description copied from interface: `WidgetColorScheme`
The color to draw an unselected widget item with.

Specified by:
  `getUnselectedItemTextColor` in interface `WidgetColorScheme`
Returns:
  the color to draw an unselected widget item with.

#### getSelectedItemTextColor

    public java.awt.Color getSelectedItemTextColor()

Description copied from interface: `WidgetColorScheme`
The color to draw a selected widget item with.

Specified by:
  `getSelectedItemTextColor` in interface `WidgetColorScheme`
Returns:
  the color to draw a selected widget item with.

#### getSelectedItemFontShadowColor

    public java.awt.Color getSelectedItemFontShadowColor()

Description copied from interface: `WidgetColorScheme`
The color to draw a selected widget item's shadow with.

Specified by:
  `getSelectedItemFontShadowColor` in interface `WidgetColorScheme`
Returns:
  the color to draw a selected widget item's shadow with.

#### getActiveBackgroundColor

    public java.awt.Color getActiveBackgroundColor()

Description copied from interface: `WidgetColorScheme`
The background color of the widget when it is in an active window.

Specified by:
  `getActiveBackgroundColor` in interface `WidgetColorScheme`
Returns:
  the background color of the widget when it is in an active window.

#### getInactiveBackgroundColor

    public java.awt.Color getInactiveBackgroundColor()

Description copied from interface: `WidgetColorScheme`
The background color of the widget when it is in an inactive window.

Specified by:
  `getInactiveBackgroundColor` in interface `WidgetColorScheme`
Returns:
  the background color of the widget when it is in an inactive window.

#### getUnselectedCollapsedIcon

    public javax.swing.Icon getUnselectedCollapsedIcon()

Description copied from interface: `WidgetColorScheme`
The icon to use when a widget node is collapsed and unselected.

Specified by:
  `getUnselectedCollapsedIcon` in interface `WidgetColorScheme`
Returns:
  the icon to use when a widget node is collapsed and unselected.

#### getUnselectedExpandedIcon

    public javax.swing.Icon getUnselectedExpandedIcon()

Description copied from interface: `WidgetColorScheme`
The icon to use when a widget node is expanded and unselected.

Specified by:
  `getUnselectedExpandedIcon` in interface `WidgetColorScheme`
Returns:
  the icon to use when a widget node is expanded and unselected.

#### getSelectedCollapsedIcon

    public javax.swing.Icon getSelectedCollapsedIcon()

Description copied from interface: `WidgetColorScheme`
The icon to use when a widget node is collapsed and selected.

Specified by:
  `getSelectedCollapsedIcon` in interface `WidgetColorScheme`
Returns:
  the icon to use when a widget node is collapsed and selected.

#### getSelectedExpandedIcon

    public javax.swing.Icon getSelectedExpandedIcon()

Description copied from interface: `WidgetColorScheme`
The icon to use when a widget node is expanded and selected.

Specified by:
  `getSelectedExpandedIcon` in interface `WidgetColorScheme`
Returns:
  the icon to use when a widget node is expanded and selected.

#### getBadgeTextColor

    public java.awt.Color getBadgeTextColor()

Description copied from interface: `WidgetColorScheme`
The color to draw a badge's text with.

Specified by:
  `getBadgeTextColor` in interface `WidgetColorScheme`
Returns:
  the color to draw a badge's text with.

#### getSelectedBadgeColor

    public java.awt.Color getSelectedBadgeColor()

Description copied from interface: `WidgetColorScheme`
The color to draw a badge's background with when it's corresponding widget item is selected. This color is used regardless of the whether the parent window is active or inactive.

Specified by:
  `getSelectedBadgeColor` in interface `WidgetColorScheme`
Returns:
  the color to draw a badge's background with when it's corresponding widget item is selected

#### getActiveUnselectedBadgeColor

    public java.awt.Color getActiveUnselectedBadgeColor()

Description copied from interface: `WidgetColorScheme`
The color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an active window.

Specified by:
  `getActiveUnselectedBadgeColor` in interface `WidgetColorScheme`
Returns:
  the color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an active window.

#### getInativeUnselectedBadgeColor

    public java.awt.Color getInativeUnselectedBadgeColor()

Description copied from interface: `WidgetColorScheme`
The color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an inactive window.

Specified by:
  `getInativeUnselectedBadgeColor` in interface `WidgetColorScheme`
Returns:
  the color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an inactive window.

#### getActiveFocusedSelectedItemBackgroundColor

    public java.awt.Color getActiveFocusedSelectedItemBackgroundColor()

Specified by:
  `getActiveFocusedSelectedItemBackgroundColor` in interface `WidgetColorScheme`

#### getActiveUnfocusedSelectedItemBackgroundColor

    public java.awt.Color getActiveUnfocusedSelectedItemBackgroundColor()

Specified by:
  `getActiveUnfocusedSelectedItemBackgroundColor` in interface `WidgetColorScheme`

#### getInactiveSelectedItemBackgroundColor

    public java.awt.Color getInactiveSelectedItemBackgroundColor()

Specified by:
  `getInactiveSelectedItemBackgroundColor` in interface `WidgetColorScheme`